#8́@@I2CxZTW[Ɖt\ɂ鉷xv@@
#
#vO1   I2CxZTW[ACM1602NIɂ鉷xv@@8-1.py

import wiringpi as pi
import smbus
import time

pi.wiringPiSetupGpio()
pi.pinMode(20,pi.INPUT)
bus=smbus.SMBus(1)

while True:
   Addr1=0x50
   Addr2=0x48
   block=bus.read_i2c_block_data(Addr2,0x00,2)

   temp=block[0] << 8
   temp=temp | block[1]
   temp=temp >>3

   if(temp>=4096):
      temp=temp-8192
   
   temp=temp*0.0625

   print("%.2f  do C" % temp)

   def com(a,b):
       bus.write_byte_data(Addr1,a,b)
       time.sleep(0.0001)

   def lcd(text):
       B=text.encode("utf-8")
       for C in B:
           com(0x80,C)

   def clear():
       com(0x00,0x01)
       com(0x00,0x38)
       com(0x00,0x0c)
       com(0x00,0x06)

   def cursor(c,r):
       if r > 0:
           c=0x80
       else:
           c=0xc5
       com(0x00,c)
   
   clear()
   cursor(0,1)
   lcd("Ondo= ")
   cursor(0,0)
   lcd("%.2f do C" % temp)
   time.sleep(2)
   if(pi.digitalRead(20)==pi.LOW):
      break
