#vO4  gZTƃJɂʐ^Be@@@9-4.py

import wiringpi as pi
import time
import picamera

def Dis(trig,echo):
    pi.digitalWrite(trig,pi.HIGH)
    time.sleep(0.00001)
    pi.digitalWrite(trig,pi.LOW)

    while pi.digitalRead(echo)==0:
        ta=time.time()

    while pi.digitalRead(echo)==1:
        tb=time.time()

    t=tb-ta
    d=t*17000
    dis=int(d)
    return dis

def main():
    trig=20
    echo=21

    pi.wiringPiSetupGpio()
    pi.pinMode(23,pi.OUTPUT)
    pi.digitalWrite(23,pi.HIGH)
    pi.pinMode(trig,pi.OUTPUT)
    pi.pinMode(echo,pi.INPUT)
    pi.digitalWrite(trig,pi.LOW)

    cam=picamera.PiCamera()
    cam.resolution=(640,480)
    cam.start_preview()

    while True:
        dis=Dis(trig,echo)
        print("distance=" ,dis, "[cm]")
        time.sleep(0.5)

        if dis < 50:
            pi.digitalWrite(23,pi.LOW)
            time.sleep(1)
            print("capture")
            cam.capture("my_pic3.jpg")
            pi.digitalWrite(23,pi.HIGH)
            break
    cam.stop_preview()
main()
